# Spec 028 — Quickstart

## Pré-requisitos

- VM123 online (`10.10.10.123`)
- OpenPanel CE instalado
- FOSSBilling Docker activo
- Bridge `:18087` activo

## 1. Aplicar re-engenharia CE (VM123)

```bash
ssh root@10.10.10.123
cd /opt/vm123-finance-stack

bash patch-openpanel-ce-unlock.sh
bash patch-foss-openpanel-domain.sh
systemctl restart openpanel-foss-bridge
```

## 2. Teste bridge directo

```bash
TOKEN=$(curl -sf -X POST http://127.0.0.1:18087/api \
  -H "Content-Type: application/json" \
  -d '{"username":"ligboxadmin","password":"LbOpen805353"}' \
  | python3 -c "import sys,json; print(json.load(sys.stdin)['access_token'])")

curl -sf --max-time 180 -X POST http://127.0.0.1:18087/api/users \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "username":"meucliente",
    "password":"LbOpenTest805353",
    "email":"hosting@meudominio.com",
    "plan_name":"ligbox-site-cms",
    "domain":"meudominio.com"
  }'
```

## 3. Provisionar domínios Desk

```bash
bash provision-openpanel-hosting.sh diarissima.com myvexx.com
# ou todos do Desk:
DESK_PASS=xxx bash provision-openpanel-hosting.sh
```

## 4. E2E FOSSBilling completo

```bash
bash test-foss-openpanel-order.sh
```

## 6. Teste de confirmação (repetível)

**Menu Infra Desk:** Infraestrutura → **Testar multidomínio**

**CLI:**
```bash
DESK_PASS='sua_senha' bash scripts/test-openpanel-multidomain-api.sh
# ou directo bridge:
MODE=bridge bash scripts/test-openpanel-multidomain-api.sh
```

Ver adendo completo: [CONFIRMACAO-TESTE-API.md](CONFIRMACAO-TESTE-API.md)

## 7. Após update OpenPanel

```bash
opencli update --cli   # pode repor limites CE
bash patch-openpanel-ce-unlock.sh
systemctl restart openpanel-foss-bridge
```

## URLs

| O quê | URL |
|-------|-----|
| OpenPanel login | https://openpanel.ligbox.com.br |
| OpenAdmin | https://admin.openpanel.ligbox.com.br |
| FOSS Admin | https://financeiro.ligbox.com.br/admin |
